
Foreman - Feature #285

Use Charting system which can work offline

05/28/2010 07:44 AM - Yimin Li

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Web Interface   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Current chart system use google chart tools, it could not work on an intranet envirment that dont have a Internet connection.

Can Foreman choose openflashchart as an option for the chart system?

Related issues:

Precedes Foreman - Bug #333: Improper colors in the dashboard graphs Closed 06/30/2010

Associated revisions

Revision 3eecf845 - 05/05/2011 08:43 AM - Amos Benari

fixes #285 - Use Charting system which can work offline

this includes:

dashboard charts

statistics page

host show page

additionally, main menu buttons and bookmarks drop down are easier to handle and read

Revision 4242cd78 - 05/05/2011 09:05 AM - Ohad Levy

refs #285 - removes any left over from the old google charts libraries

History

#1 - 05/28/2010 07:57 AM - Ohad Levy

we are looking into implementing using Raphael JavaScript library instead.

currrent implementation (e.g. version 0.1-5) is using similar js based on googles api (not the plain charts), so in theory we might be able to bundle the

js inside foreman instead of downloading it from google.

#2 - 05/28/2010 09:12 AM - Yimin Li

Ohad Levy wrote:

we are looking into implementing using Raphael JavaScript library instead.

currrent implementation (e.g. version 0.1-5) is using similar js based on googles api (not the plain charts), so in theory we might be able to

bundle the js inside foreman instead of downloading it from google.

 Raphael looks good, if version 0.15 can bundle the js from google, make it is able to work at an envirment that dont have internet connection, that will

be a good news for me:).  Thanks!

#3 - 09/19/2010 03:43 PM - Ohad Levy

- File diff-wip.patch added

- Subject changed from Use openflashchart as the chart system to Use Charting system which can work offline

- Category set to Web Interface

- Assignee set to Telmo X
- Target version set to 0.2

Telmo has already posted a branch with Raphael graphs instead of google, I've added a really work in progress patch (not really working at the

moment).

updating the ticket just to be aligned.

#4 - 01/24/2011 03:23 PM - Ohad Levy

- Assignee deleted (Telmo X)

- Target version deleted (0.2)

sadly i have to push this one to the next version....

#5 - 05/04/2011 04:23 AM - Ohad Levy

- Assignee set to Amos Benari

- Target version set to 0.3

#6 - 05/05/2011 09:07 AM - Amos Benari

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 3eecf845feb5e7cff5ef380297be6d1f102f80d4.

#7 - 05/09/2011 02:15 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

Files

diff-wip.patch 14.7 KB 09/19/2010 Ohad Levy
